"""Add custom_id column to generations

Revision ID: 0010
Revises: 0009
Create Date: 2025-02-12 11:14:55.120133

"""

from collections.abc import Sequence

import sqlalchemy as sa
from alembic import op
from sqlmodel.sql.sqltypes import AutoString

# revision identifiers, used by Alembic.
revision: str = "0010"
down_revision: str | None = "0009"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("generations", schema=None) as batch_op:
        batch_op.add_column(sa.Column("custom_id", AutoString(), nullable=True))
        batch_op.create_index(
            batch_op.f("generations_custom_id_idx"), ["custom_id"], unique=False
        )

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("generations", schema=None) as batch_op:
        batch_op.drop_index(batch_op.f("generations_custom_id_idx"))
        batch_op.drop_column("custom_id")

    # ### end Alembic commands ###
