"""temporarily remove foreign key

Revision ID: 0012
Revises: 0011
Create Date: 2025-02-20 10:53:00.171867

"""

from collections.abc import Sequence

from alembic import op

# revision identifiers, used by Alembic.
revision: str = "0012"
down_revision: str | None = "0011"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("spans", schema=None) as batch_op:
        batch_op.drop_constraint("spans_parent_span_id_spans_fkey", type_="foreignkey")

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("spans", schema=None) as batch_op:
        batch_op.create_foreign_key(
            "spans_parent_span_id_spans_fkey",
            "spans",
            ["parent_span_id"],
            ["span_id"],
            ondelete="CASCADE",
        )

    # ### end Alembic commands ###
